net.sourceforge.nanoxml

## Class XMLParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sourceforge.nanoxml.XMLParseException

- All Implemented Interfaces:
    java.io.Serializable

      public class XMLParseException
      extends java.lang.RuntimeException

  An XMLParseException is thrown when an error occures while parsing an XML string.

  $Revision: 1.1 $
  $Date: 2002/08/03 04:05:32 $

  See Also:
    `XMLElement`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_LINE` Indicates that no line number has been associated with this exception.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLParseException(java.lang.String name, int lineNr, java.lang.String message)` Creates an exception.
    `XMLParseException(java.lang.String name, java.lang.String message)` Creates an exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLineNr()` Where the error occurred, or `NO_LINE` if the line number is unknown.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_LINE

          public static final int NO_LINE

      Indicates that no line number has been associated with this exception.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMLParseException

          public XMLParseException(java.lang.String name,
                           java.lang.String message)

      Creates an exception.
      Parameters:
        `name` - The name of the element where the error is located.
        `message` - A message describing what went wrong.
      Preconditions:
        - `message != null`
      Postconditions:
        - getLineNr() => NO_LINE

    - #### XMLParseException

          public XMLParseException(java.lang.String name,
                           int lineNr,
                           java.lang.String message)

      Creates an exception.
      Parameters:
        `name` - The name of the element where the error is located.
        `lineNr` - The number of the line in the input.
        `message` - A message describing what went wrong.
      Preconditions:
        - `message != null`
        - `lineNr > 0`
      Postconditions:
        - getLineNr() => lineNr

  - ### Method Detail

    - #### getLineNr

          public int getLineNr()

      Where the error occurred, or `NO_LINE` if the line number is unknown.
      See Also:
        `NO_LINE`

Submit a bug or feature